Subject: Re: [RFD] Making "git push [--force/--delete]" safer?

From: Johannes Sixt <[email-masked]>
Date: Thu, 04 Jul 2013 07:37:34 +0200

Am 7/3/2013 21:53, schrieb Junio C Hamano:
> Johannes Sixt <[email-masked]> writes:
> 
>> I don't think that is necessary. We already have *two* options to
>> force-push a ref: the + in front of refspec, and --force.
> 
> They mean exactly the same thing; the only difference being that "+"
> prefix is per target ref, while "--force" covers everything, acting
> as a mere short-hand to add "+" to everything you push.

I know, and I'm saying that we do not have to keep this duplicity.

> If the "--lockref/--update-only-if-ref-is-still-there" option
> defeats "--force", it should defeat "+src:dst" exactly the same way.

This logic is backwards. If anything, then "--force" must defeat the
safety that "--lockref" gives.

-- Hannes